| OpenCV 4.3.0 Open Source Computer Vision

Public Attributes | List of all members
cv::dnn::LayerParams Class Reference
Deep Neural Network module

This class provides all data needed to initialize layer. More...

`#include <opencv2/dnn/dnn.hpp>`

Inheritance diagram for cv::dnn::LayerParams:

## Public Attributes
std::vector< Mat > | blobs
| List of learned parameters stored as blobs. More...
String | name
| Name of the layer instance (optional, can be used internal purposes). More...
String | type
| Type name which was used for creating layer by layer factory (optional). More...

## Additional Inherited Members
Public Member Functions inherited from cv::dnn::Dict
std::map< String, DictValue >::const_iterator | begin () const
std::map< String, DictValue >::const_iterator | end () const
void | erase (const String &key)
| Erase `key` from the dictionary. More...
const DictValue & | get (const String &key) const
| If the `key` in the dictionary then returns its value, else an error will be generated. More...
template<typename T >
T | get (const String &key) const
template<typename T >
T | get (const String &key, const T &defaultValue) const
| If the `key` in the dictionary then returns its value, else returns `defaultValue`. More...
bool | has (const String &key) const
| Checks a presence of the `key` in the dictionary. More...
DictValue * | ptr (const String &key)
| If the `key` in the dictionary then returns pointer to its value, else returns NULL. More...
const DictValue * | ptr (const String &key) const
template<typename T >
const T & | set (const String &key, const T &value)
| Sets new `value` for the `key`, or adds new key-value pair into the dictionary. More...

## Detailed Description

This class provides all data needed to initialize layer.

It includes dictionary with scalar params (which can be read by using Dict interface), blob params blobs and optional meta information: name and type of layer instance.

## Member Data Documentation

## ◆ blobs

std::vector<Mat> cv::dnn::LayerParams::blobs

List of learned parameters stored as blobs.

## ◆ name

String cv::dnn::LayerParams::name

Name of the layer instance (optional, can be used internal purposes).

## ◆ type

String cv::dnn::LayerParams::type

Type name which was used for creating layer by layer factory (optional).

The documentation for this class was generated from the following file:

- opencv2/dnn/dnn.hpp